> For the complete documentation index, see [llms.txt](https://docs.superiormc.cn/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.superiormc.cn/ecox-doc/yi-ban-pei-zhi-ge-shi/zhi-ye.md).

# 职业

自定义宠物配置可以在 `plugins/EcoJobs/jobs` 文件夹中找到，它的文件名称即为 **职业id**，其一般配置如下：

```
name: "&#964B00Builder"
description: "&8&oLevel up by placing blocks"

unlocked-by-default: true

level-xp-requirements:
  - 100
  - 120
  - 150
  - 180
  - 210
  - 250
  - 300
  - 360
  - 430
  - 520
  - 620
  - 740
  - 890
  - 1000
  - 1300
  - 1500
  - 1900
  - 2200
  - 2700
  - 3200
  - 3800
  - 4600
  - 5500
  - 6600
  - 7900
  - 9500
  - 11500
  - 14000
  - 17000
  - 19000
  - 24000
  - 29000
  - 34000
  - 41000
  - 50000
  - 60000
  - 70000
  - 85000
  - 100000
  - 120000
  - 150000
  - 180000
  - 210000
  - 250000
  - 300000
  - 360000
  - 440000
  - 580000
  - 750000

xp-gain-methods:
  - trigger: place_block
    multiplier: 1.2
    conditions: [ ]

level-placeholders:
  - id: "money"
    value: "%level% * 1.2"
  - id: "blocks"
    value: "ceil(12 - %level% / 8)"

effects-description:
  1:
    - "&8» &8Earn &a$%money%&8 for each &a%blocks%&8 blocks placed"

rewards-description:
  1:
    - "&8» &8Earn &a$%money%&8 for each &a%blocks%&8 blocks placed"

level-up-messages:
  1:
    - "&8» &8Earn &a$%money%&8 for each &a%blocks%&8 blocks placed"

level-commands: [ ]

effects:
  - id: give_money
    args:
      every: "ceil(12 - %level% / 8)"
      amount: "1.2 * %level%"
    filters:
      items:
        - "*wooden_pickaxe"
        - "*stone_pickaxe"
        - "*iron_pickaxe"
        - "*golden_pickaxe"
        - "*diamond_pickaxe"
        - "*netherite_pickaxe"
    triggers:
      - place_block

conditions: [ ]

icon: player_head texture:eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvZTBiYmVmMGE0YmNmMDNlMDQ5ZDU1NmRhMGJlZDZiNDFkZDkyOGI4OTdhNDJhZTAxZWZlYTY4NGI1NjFjNDMyZiJ9fX0=

```

与宠物几乎一致，不再赘述，其中 `unlocked-by-default` 选项为是否默认解锁。如果不是默认解锁，那么服主需要使用 `/ecojobs unlock` 指令才能为玩家解锁某个职业。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.superiormc.cn/ecox-doc/yi-ban-pei-zhi-ge-shi/zhi-ye.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
